export interface IUser {
    name: string;
    authenticated: boolean;
    roles?: string[];
    lastAuthenticated?: number;
}
export declare class AuthenticationService {
    private static user;
    private static authEvents;
    static getAuthenticatedUser(): IUser;
    static setAuthenticatedUser(authenticatedUser: IUser): void;
    static onAuthentication(event: Function): void;
    static authenticationExpired(): void;
    static reset(): void;
}
